# Name-based URLs Demo 1.3
---------------------------------

Compatibility: Phoenix Cart 1.0.8.6+
Tested with Phoenix 1.0.9.3
PHP 7.0-8.3

---------------------------------
## Versions and Features:
# Name-based URLs Demo
- Support for Product URLs
- Filter Short Words
- Use SEO Titles as name
- Remove all non-alphanumeric characters

# Name-based URLs Lite (bundled with Phoenix Cart Pro)
In addition to Demo version:
- Support for Categories URLs
- Support for Manufacturer URLs
- Automatic redirects for old URLs
- CPath always added to product URLs

# Name-based URLs Pro
In addition to Demo and Lite version:
- Add category parent to product URLs
- Add category parent to begining of category URLs
- Optional add CPath to product URLs
- Selectable Path separator (dash or slash)
- Custom Special character conversions separate for each language
- Further customizations on demand

# Get Pro here: https://www.oscaddons.com/en/commercial-add-ons/name-based-urls-pro-p-89.html

---------------------------------

## WHAT IS IT?

This add-on produces name (category, product) based URLs.
### Store modes:

0. Back up your store and database
Even there are no file changes, back up at least your main (root) .htaccess file, which will be modified by the 
module.

1. Copy the new files into the appropriate folders
2. In Admin => Modules => Name Based URLs install and configure the module 'Name Based URLs'.

Note: The module installation will add  Name Based URLs rewrite rules to your main (root) .htaccess file.
If you have not already any rewrite rule added, 
they will be added  to the bottom of the file.
If you have already rewrite rules in your .htaccess, 
they will be added straight after the  "RewriteBase /" line.
Please check if this is the correct position for your store.
If you get an error message about the .htaccess modifications when you install the module, 
check your .htccess file for these modifications and add them if missing:

# Begin Name-based URLs 
Options +FollowSymLinks
RewriteEngine On

# RewriteBase instructions
# Change RewriteBase dependent on how your shop is accessed as below.
# http://www.mysite.com = RewriteBase /
# http://www.mysite.com/catalog/ = RewriteBase /catalog/
# http://www.mysite.com/catalog/shop/ = RewriteBase /catalog/shop/ 

# Change the following line using the instructions above 
RewriteBase /

RewriteRule ^(.*)-p-(.*).html$ product_info.php?products_id=$2&%{QUERY_STRING}
RewriteRule ^(.*)-c-(.*).html$ index.php?cPath=$2&%{QUERY_STRING}
RewriteRule ^(.*)-m-(.*).html$ index.php?manufacturers_id=$2&%{QUERY_STRING}
RewriteRule ^(.*)-ip-(.*).html$ info.php?pages_id=$2&%{QUERY_STRING}
RewriteRule ^(.*)-pr-(.*).html$ ext/modules/content/reviews/write.php?products_id=$2&%{QUERY_STRING}
# End Name-based URLs

===========
That's it.
===========  
